Activation

Carrier lookup, inventory, standard/SmartSIM/eSIM activations, transactions, and downloads.

14 of 14
GET/v1.0/activation/billing-plansRead-onlyPermalink ↗

Gets billing rate plans for the device group

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/billing-plans" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/businessInternetPlansRead-onlyPermalink ↗

Gets list of eligible Verizon business internet plans.

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/businessInternetPlans" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/carriersRead-onlyPermalink ↗

Get the list of carriers available for activation. This endpoint can only be accessed by scope aux_activation.

MCPsentinel_activation.carriers

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/carriers" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/eSim/carriersRead-onlyPermalink ↗

Get the list of carriers available for activation. This endpoint can only be accessed by scope aux_kemp_user and needs corp access for kemp and eSim.

Parameters

No parameters.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/eSim/carriers" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/eSimInventoryCount/{corpId}Read-onlyPermalink ↗

Gets the carrier inventory count.

Parameters

corpIdpathstringrequired

Device group

carrierquerystringrequired

Carrier Name i.e AT%26T for AT&T

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/eSimInventoryCount/NORTHSTAR-ISD?carrier=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/activation/esim-transactionChanges dataPermalink ↗

Submit eSim activation request. This endpoint can only be accessed by scope aux_activation.

Parameters

eSimActivationRequestInfobodyESimActivationRequestInforequired

eSimActivationRequestInfo

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/esim-transaction" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v1.0/activation/inventoryRead-onlyPermalink ↗

Gets the carrier inventory .

Parameters

carrierquerystringrequired

Carrier Name i.e Verizon Priority

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/inventory?carrier=value" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/activation/smartsim-transactionChanges dataPermalink ↗

Submit SmartSim activation request. This endpoint can only be accessed by scope aux_activation.

Parameters

smartSimActivationRequestInfobodySmartSimActivationRequestInforequired

smartSimActivationRequestInfo

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/smartsim-transaction" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
POST/v1.0/activation/transactionChanges dataPermalink ↗

Submit activation request. This endpoint can only be accessed by scope aux_activation.

MCPsentinel_activation.activate_device

Parameters

activationRequestInfobodyActivationRequestInforequired

activationRequestInfo

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transaction" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "corpId": "NORTHSTAR-ISD",
  "imei": "355737360073462",
  "iccid": "89014103211118510720",
  "carrier": "VERIZON",
  "filterGroup": "Student_K8",
  "deviceGroup": "Transportation"
}'
GET/v1.0/activation/transactionsRead-onlyPermalink ↗

Gets the detailed activation history. This endpoint can only be accessed by scope aux_activation.

Parameters

sortDirquerystring

Sort direction

Values: ASC, DESC

offsetquerynumber

The position of the first transaction for the requested result set. Starts from 0.

limitquerynumber

The number of transactions to return.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transactions?sortDir=DESC&offset=0&limit=25" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/transactions/{uniqueTransactionId}Read-onlyPermalink ↗

Gets the activation transaction details. This endpoint can only be accessed by scope aux_activation.

Parameters

uniqueTransactionIdpathstringrequired

Unique transaction Id specific to an activation request

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transactions/ACT-2026-0313-001" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
GET/v1.0/activation/transactions/{uniqueTransactionId}/csvRead-onlyPermalink ↗

Downloads the activation transaction details CSV. This endpoint can only be accessed by scope aux_activation.

Parameters

uniqueTransactionIdpathstringrequired

Unique transaction Id specific to an activation request

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/transactions/ACT-2026-0313-001/csv" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"
POST/v1.0/activation/uploadCSVRead-onlyPermalink ↗

Processes uploaded CSV file and returns IMEI-ICCID pairs for activation confirmation. Accessible only to corps with Activation Tab enabled

Parameters

fileformDatafile

The file to upload.

cURL
curl -X POST "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v1.0/activation/uploadCSV" \
  -H "Authorization: Bearer $SENTINEL_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "example": true,
  "corpId": "NORTHSTAR-ISD"
}'
GET/v2.0/activation/transactionsRead-onlyPermalink ↗

When the Export format is omitted, gets the detailed activation history for the last 180 days. For a full transaction history, please include the Export format. This endpoint can only be accessed by scope aux_activation.

Parameters

sortDirquerystring

Sort direction

Values: ASC, DESC

offsetquerynumber

The position of the first transaction for the requested result set. Starts from 0.

limitquerynumber

The number of transactions to return.

exportquerystring

Export format. Currently only CSV is accepted.

cURL
curl -X GET "https://api.kajeet.dev/sentinel-proxy/sentinel/api/v2.0/activation/transactions?sortDir=DESC&offset=0&limit=25&export=CSV" \
  -H "Authorization: Bearer $SENTINEL_TOKEN"

Build your first call in 5 minutes.

Grab a Dev SIM, get an API key, and POST /v1.0/auth/token from anywhere.